dbXML API

## com.dbxml.db.admin.nodes
Class RootNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode
          com.dbxml.db.admin.nodes.RootNode

All Implemented Interfaces:
  HasMenu

public final class RootNode
extends AdminNode
implements HasMenu

RootNode

Field Summary
`static int` `ACTION_ADDFS`
`static int` `ACTION_CONNECT`

Fields inherited from interface com.dbxml.db.admin.nodes.HasMenu
`REFRESH_CHILDREN, REFRESH_NONE, REFRESH_PARENT, REFRESH_SELF, REFRESH_TREE, REMOVE_SELF`

Constructor Summary
`RootNode()`

Method Summary
`javax.swing.Icon` `getIcon()`
`java.lang.String` `getLabel()`
`MenuItem[]` `getMenu()`
`java.lang.String` `getMenuTitle()`
`boolean` `isParentMenuInherited()`
`int` `menuAction(int action)`

Methods inherited from class com.dbxml.db.admin.nodes.AdminNode
`close, getColor, getFont, getParentNode, getTooltip, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_CONNECT

    public static final int ACTION_CONNECT

See Also:
  Constant Field Values

### ACTION_ADDFS

    public static final int ACTION_ADDFS

See Also:
  Constant Field Values

Constructor Detail

### RootNode

    public RootNode()

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AdminNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `AdminNode`

### getMenuTitle

    public java.lang.String getMenuTitle()

  Specified by:
    `getMenuTitle` in interface `HasMenu`
  Overrides:
    `getMenuTitle` in class `AdminNode`

### getMenu

    public MenuItem[] getMenu()

  Specified by:
    `getMenu` in interface `HasMenu`

### isParentMenuInherited

    public boolean isParentMenuInherited()

  Overrides:
    `isParentMenuInherited` in class `AdminNode`

### menuAction

    public int menuAction(int action)

  Specified by:
    `menuAction` in interface `HasMenu`
  Overrides:
    `menuAction` in class `AdminNode`

dbXML API

Copyright (c) 2004 The dbXML Group